Subject: Offline Message from NOn Whtever: 5775903711 This is my shipment number. I w
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 19:34:39 -0000

From: NOn Whtever <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us
Department: 

5775903711

This is my shipment number. I want to check about the status of my order .. when i will receive it ? And there is something not right ! The number of boxes were 2 The last 5 updates in DHL tracking Was 1 ! Where is my the second one ???? Please I am so upset And disappointed !!! 

----
Zopim
https://www.zopim.com